<?php
namespace Sandbox\Resource\Page;

use BEAR\Sunday\Resource\AbstractPage;
use BEAR\Sunday\Inject\ResourceInject;
use Ray\Di\Di\Inject;

class CorporateProfile extends AbstractPage
{
    use ResourceInject;

    public $body = [
        'name'     => 'Example',
        'contacts' => ['test@example.com'],
    ];

    public function onGet()
    {
        $this['name']  = '技術評論社';
        $this['contacts'] = [
            'wdphp1@gihyo.jp',
            'wdphp2@gihyo.jp',
        ];
        return $this;
    }
}

